commit:     4472b5830b3716ae519c16373bb20f0e095c9171
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  1 21:12:39 2021 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Nov  1 21:24:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4472b583

virtual/rust: add 1.56.1

Bug: https://bugs.gentoo.org/821157
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 virtual/rust/rust-1.56.1.ebuild | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/virtual/rust/rust-1.56.1.ebuild b/virtual/rust/rust-1.56.1.ebuild
new file mode 100644
index 00000000000..f9d87cdb210
--- /dev/null
+++ b/virtual/rust/rust-1.56.1.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for Rust language compiler"
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="rustfmt"
+
+BDEPEND=""
+RDEPEND="|| (
+       ~dev-lang/rust-${PV}[rustfmt?,${MULTILIB_USEDEP}]
+       ~dev-lang/rust-bin-${PV}[rustfmt?,${MULTILIB_USEDEP}]
+)"

Reply via email to